<!doctype html>

<html lang="en">

  <head>

        <meta charset="utf-8">
        <title>A&#xb3;Cat</title>
        <link rel="icon" href="img/favicon.png">
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=G-8318WD0Q6S"></script>
        <script>
          window.dataLayer = window.dataLayer || [];
          function gtag(){dataLayer.push(arguments);}
          gtag('js', new Date());

          gtag('config', 'G-8318WD0Q6S');
        </script>
        <script src="https://code.jquery.com/jquery-3.7.0.min.js" 
          integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g="
          crossorigin="anonymous">
        </script>

    <link rel="stylesheet" href="css/upcoming_assemblies.css">

    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/jq-3.3.1/jszip-2.5.0/dt-1.10.24/b-1.7.0/b-colvis-1.7.0/b-html5-1.7.0/b-print-1.7.0/cr-1.5.3/date-1.0.3/fh-3.1.8/sb-1.0.1/sp-1.2.2/datatables.min.css"/>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/v/dt/jq-3.3.1/jszip-2.5.0/dt-1.10.24/b-1.7.0/b-colvis-1.7.0/b-html5-1.7.0/b-print-1.7.0/cr-1.5.3/date-1.0.3/fh-3.1.8/sb-1.0.1/sp-1.2.2/datatables.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/plug-ins/1.10.25/sorting/absolute.js"></script>
    <script src="https://kit.fontawesome.com/c01ec6dded.js" crossorigin="anonymous"></script>

    <script type="text/javascript">

      $(document).ready(function() {

        var sequencing_status = [
          'sequencing_status_dtol',
          'sequencing_status_metainvert',
          'sequencing_status_gaga',
          'sequencing_status_ag100pest',
          'sequencing_status_canbp',
          'sequencing_status_erga-pil',
          'sequencing_status_erga-bge',
          'sequencing_status_erga-ch',
          'sequencing_status_ccgp',
          'sequencing_status_loewe-tbg',
          'sequencing_status_cbp',
          'sequencing_status_ilebp',
          'sequencing_status_ebpn',
          'sequencing_status_endemixit',
          'sequencing_status_pgp',
          'sequencing_status_tsi',
          ]

        fetch('https://goat.genomehubs.org/api/v2/search?query=tax_tree%28arthropoda%29%20AND%20tax_rank%28species%29%20AND%20sequencing_status%21%3Dinsdc_open&result=taxon&taxonomy=ncbi&size=150000&offset=0&fields=sequencing_status_dtol%2Csequencing_status_metainvert%2Csequencing_status_gaga%2Csequencing_status_ag100pest%2Csequencing_status_canbp%2Csequencing_status_erga-pil%2Csequencing_status_erga-bge%2Csequencing_status_erga-ch%2Csequencing_status_ccgp%2Csequencing_status_loewe-tbg%2Csequencing_status_cbp%2Csequencing_status_ilebp%2Csequencing_status_ebpn%2Csequencing_status_endemixit%2Csequencing_status_pgp%2Csequencing_status_tsi')
          .then(response => response.json())
          .then(response => response.results)
          .then(response => {
            api_data = []
            for (var species in response) {
              taxid = response[species].result.taxon_id
              tmp = [`<a href="https://goat.genomehubs.org/record?recordId=${taxid}&result=taxon&taxonomy=ncbi" target="_blank" rel="noopener noreferrer"> ${taxid} </a>`,
                     response[species].result.scientific_name,
                     ]
              for (var status of sequencing_status) {
                tmp2 = status in response[species].result.fields ? response[species].result.fields[status].value : 'NA'
                tmp.push(tmp2)
              }
              api_data.push(tmp)
            }

            // Add column filtering
            $('#assembly_status_table thead tr').clone(true).appendTo('#assembly_status_table thead');
            $('#assembly_status_table thead tr:eq(1) th').each(function (i) {
                $(this).addClass("column-filter-box");
                $(this).html('<input type="text" placeholder="Filter column" />');
                $('input', this).on('change', function () {
                  if (table.column(i).search() !== this.value) {
                    table.column(i).search(this.value).draw();
                  }
                });
            });

            // Override sorting function for numbers mixed with NA to keep NA < 0
            $.fn.dataTable.ext.type.order["html-num-fmt-pre"] = function(data) {
                // Strip HTML
                data = data.replace(/<.*?>/g, '');
                // Remove dots
                data = data.replace(/\./g, '');
                // Replace commas dots
                data = data.replace(/,/g, '.');
                // Strip any remaining no numeric data
                data = data.replace(/[^0-9\.\-]/g, '');
                if ( data === '' ) { // it was NA
                  return -Infinity;
                }
                return data*1;
            };

            var table = $('#assembly_status_table').DataTable({

              dom: 'frBtip',
              colReorder: true,
              orderCellsTop: true,
              fixedHeader: true,
              info: true,
              processing: true,
              scrollX: true,
              pageLength: 25,
              pagingType: "full_numbers",
              deferRender: true,
              orderClasses: false,

              columnDefs: [
                {
                  targets: "_all",
                  className: "dt-body-left",
                  createdCell: function (td, cellData, rowData, row, col) {
                    if (cellData == 'NA') {
                      $(td).css('color', '#b3b3b3')
                      $(td).css('font-style', 'italic')
                    }
                  }
                }
              ],

              buttons: [
                {
                  extend: 'copy',
                  text: '<i class="fa fa-copy"></i>',
                  titleAttr: 'Copy current table to clipboard',
                  exportOptions: {
                    columns: ':visible'
                  }
                },
                {
                  extend: 'excel',
                  text: '<i class="fa fa-file-excel"></i>',
                  titleAttr: 'Export current table to excel spreadsheet',
                  exportOptions: {
                    columns: ':visible'
                  }
                },
                {
                  extend: 'csv',
                  text: '<i class="fa fa-file-csv"></i>',
                  titleAttr: 'Export current table to CSV',
                  exportOptions: {
                    columns: ':visible'
                  }
                },
                {
                  extend: 'searchBuilder',
                  text: '<i class="fas fa-filter"></i>',
                  titleAttr: 'Advanced filtering',
                  config: {
                    depthLimit: 2
                  }
                },
              ],

              language: {
                search: '<i class="fa fa-search" style="font-size: 1.25em;"></i>',
                searchPlaceholder: 'Search anything...',
                searchBuilder: {
                  add: '+',
                  clearAll: '<i class="fas fa-trash"></i>',
                  logicAnd: 'AND',
                  valueJoiner: 'AND',
                  logicOr: 'OR',
                  button: {
                    0: '<i class="fas fa-filter"></i>',
                    _: '<i class="fas fa-filter"></i> (%d)'
                  },
                  title: {
                    0: 'Filters',
                    _: 'Filters (%d)'
                  }
                }
              },

              searchBuilder: {},

              data: api_data

            });

          var table_div = document.getElementById("table_header")
          table_div.style.opacity = 1;
          var loading_div = document.getElementById("loading-info")
          loading_div.style.display = "none";

          });

        });

      $.fn.DataTable.ext.pager.numbers_length = 3;

    </script>

  </head>

  <header>
    <link rel="stylesheet" href="css/shared.css">
    <div class="banner">
      <img src="img/logos/logo-unil.svg" class="logo logo-unil">
      <img src="img/logos/logo-sib.svg" class="logo logo-sib">
      
      <img src="img/banner/ant-947402_1920.jpg" class="banner-image">
      
      <img src="img/banner/barnacles-4329795_1920.jpg" class="banner-image">
      
      <img src="img/banner/bee-396527_1920.jpg" class="banner-image">
      
      <img src="img/banner/crab-1990198_1920.jpg" class="banner-image">
      
      <img src="img/banner/dragonfly-396527_1920.jpg" class="banner-image">
      
      <img src="img/banner/fly-871945_1920.jpg" class="banner-image">
      
      <img src="img/banner/insect-2153866_1920.jpg" class="banner-image">
      
      <img src="img/banner/insect-4369745_1920.jpg" class="banner-image">
      
      <img src="img/banner/ladybug-1391741_1920.jpg" class="banner-image">
      
      <img src="img/banner/longhorn-beetle-6390679_1920.jpg" class="banner-image">
      
      <img src="img/banner/polyommatus-icarus-4066785_1920.jpg" class="banner-image">
      
      <img src="img/banner/spider-564685_1920.jpg" class="banner-image">
      
      <img src="img/banner/woodlouse-6094204_1920.jpg" class="banner-image">
      
      <div class="title-text"><a id="title-link" href="https://evofunvm.dcsr.unil.ch/">Arthropoda<br/>Assembly<br/>Assessment<br/>Catalogue</a></div>
    </div>
    <nav class="shared-nav-menu">
        <a href="table.html">Table</a>
        <a href="plots.html">Plots</a>
        <a href="downloads.html">Downloads</a>
        <a href="upcoming_assemblies.html">Upcoming assemblies</a>
        <a href="https://gitlab.com/evogenlab/a3cat/a3cat-workflow" target="_blank" rel="noopener noreferrer">Workflow</a>
        <a href="about.html">About</a>
        <span id=header-version>v.2025-01-01</span>
    </nav>
    <script type="text/javascript" src="scripts/cookies.js"></script>
    <script type="text/javascript" src="scripts/shared.js"></script>
  </header>

  <main>

    <div class="upcoming-assemblies-info">
      <p>The table below summarizes ongoing sequencing efforts for Arthropods. The data are obtained from <a href="https://goat.genomehubs.org/" target="_blank" rel="noopener noreferrer">Genomes on a Tree</a> (GoaT), a resource that compiles information from major sequencing projects. The table includes all species covered by at least one sequencing project included in GoaT, with a link to the relevant GoaT record.</p>
    </div>

    <div id="loading-info" style="font-size: 20px; margin-top: 40px;">Loading data from GoaT ... </div>

    <table id="assembly_status_table" class="stripe hover order-column row-border nowrap compact">

      <thead id="table_header" style="opacity: 0">
        <tr>
          <th>Taxid</th>
          <th>Species</th>
          
            <th> DTOL </th>
          
            <th> METAINVERT </th>
          
            <th> GAGA </th>
          
            <th> AG100PEST </th>
          
            <th> CANBP </th>
          
            <th> ERGA-PIL </th>
          
            <th> ERGA-BGE </th>
          
            <th> ERGA-CH </th>
          
            <th> CCGP </th>
          
            <th> LOEWE-TBG </th>
          
            <th> CBP </th>
          
            <th> ILEBP </th>
          
            <th> EBPN </th>
          
            <th> ENDEMIXIT </th>
          
            <th> PGP </th>
          
            <th> TSI </th>
          
        </tr>
      </thead>

    </table>

  </main>


  <footer>
    <span id='footer-text'>Copyright &#169; 2024 Waterhouse Group - <a href="https://www.rmwaterhouse.org/">Website</a></span>
  </footer>

</html>